Loading...
Searching...
No Matches
pappso::OboListModel::OboPsiModHandler Class Reference

`#include <obolistmodel.h>`

Inheritance diagram for pappso::OboListModel::OboPsiModHandler:

## Public Member Functions

| OboPsiModHandler (OboListModel *parent)
virtual | ~OboPsiModHandler ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file

## Private Attributes

pappso::OboListModel * | mp_parent

## Detailed Description

Definition at line 70 of file obolistmodel.h.

## Constructor & Destructor Documentation

## OboPsiModHandler()

pappso::OboListModel::OboPsiModHandler::OboPsiModHandler | ( | pappso::OboListModel * | parent | ) |

Definition at line 48 of file obolistmodel.cpp.

{
mp_parent = parent;
}
pappso::OboListModel::OboPsiModHandler::mp_parent
pappso::OboListModel * mp_parent
Definition obolistmodel.h:80

## ~OboPsiModHandler()

pappso::OboListModel::OboPsiModHandler::~OboPsiModHandler | ( |  | ) |

virtual

Definition at line 54 of file obolistmodel.cpp.

{
}

## Member Function Documentation

## setOboPsiModTerm()

void pappso::OboListModel::OboPsiModHandler::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 59 of file obolistmodel.cpp.

{
mp_parent->m_oboPsiModTermList.push_back(term);
}
pappso::OboListModel::m_oboPsiModTermList
std::vector< OboPsiModTerm > m_oboPsiModTermList
Definition obolistmodel.h:83

References pappso::OboListModel::m_oboPsiModTermList.

## Member Data Documentation

## mp_parent

pappso::OboListModel* pappso::OboListModel::OboPsiModHandler::mp_parent

private

Definition at line 80 of file obolistmodel.h.

The documentation for this class was generated from the following files:

- pappsomspp/widget/obo/obolistwidget/obolistmodel.h
- pappsomspp/widget/obo/obolistwidget/obolistmodel.cpp